using System;
using System.Collections.Generic;
using System.Linq;

namespace NADOVEZIVANJE
{
    class Program
    {
        public static class MoreMath
        {
            public static int Max(int x, int y)
            {
                return Math.Max(x, y);
            }

            public static int Max(int x, int y, int z)
            {
                return Math.Max(x, Math.Max(y, z));
            }

            public static int Max(int w, int x, int y, int z)
            {
                return Math.Max(w, Math.Max(x, Math.Max(y, z)));
            }

            public static int Max(params int[] values)
            {
                return Enumerable.Max(values);
            }
        }

        static void Main(string[] args)
        {
            int  a,b, c;
            a = Convert.ToInt32(Console.ReadLine());
            b = Convert.ToInt32(Console.ReadLine());
            c = Convert.ToInt32(Console.ReadLine());
            string a_s = a.ToString();
            string b_s = b.ToString();
            string c_s = c.ToString();
            string prva = a_s + b_s + c_s;
            string druga = b_s + a_s + c_s;
            string treca = b_s + c_s + a_s;
            string cetvrta = a_s + c_s + b_s;
            string peta = c_s + a_s + b_s;
            string sesta = c_s + b_s + a_s;
            int prvi = Int32.Parse(prva);
            int drugi = Int32.Parse(druga);
            int treci = Int32.Parse(treca);
            int cetvrti = Int32.Parse(cetvrta);
            int peti = Int32.Parse(peta);
            int sesti = Int32.Parse(sesta);
            Console.Write("{0}", MoreMath.Max(prvi, drugi, treci, cetvrti, peti, sesti));
            Console.ReadKey();
            Console.ReadKey();
        }
    }
}